FDDividendEngineBase< Scheme > Class Template Referenceabstract

Abstract base class for dividend engines. More...

`#include <ql/pricingengines/vanilla/fddividendengine.hpp>`

Inherits FDMultiPeriodEngine< Scheme >.

## Public Member Functions

| FDDividendEngineBase (const ext::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps=100, Size gridPoints=100, bool timeDependent=false)

## Protected Member Functions

virtual void | setupArguments (const PricingEngine::arguments *) const
virtual void | setGridLimits () const =0
virtual void | executeIntermediateStep (Size step) const =0
Real | getDividendAmount (Size i) const
Real | getDiscountedDividend (Size i) const

## Detailed Description

### template<template< class > class Scheme = CrankNicolson>
class QuantLib::FDDividendEngineBase< Scheme >

Abstract base class for dividend engines.